<?php 
/*
Plugin Name: tinymce_add_google_fonts
Plugin URI: http://www.it-in-a-box.com/
Description: add google fonts to tinymce
Author: Norbert Felgendreher
Version: 1.0
Author URI: http://www.it-in-a-box.com/ 
*/

if ( !class_exists( 'tinymce_add_google_fonts' ) ) {
	class tinymce_add_google_fonts {
		function tinymce_add_google_fonts() {
			add_action( 'admin_head',array(&$this, 'tinymce_add_google_fonts_init'));
		}
		function tinymce_add_google_fonts_init() {
			if (get_user_option('rich_editing') == 'true') {
				add_filter('tiny_mce_before_init',array(&$this,'nf_add_google_fonts'));
			}
		}
		public function nf_add_google_fonts ($initArray) {
			$nf_stylesheet=trailingslashit( get_stylesheet_directory_uri() ) . 'css/editor/editor-style.css';
			if (array_key_exists('content_css', $initArray) && !empty($initArray['content_css'])) $initArray['content_css'].=",".$nf_stylesheet;
			else $initArray['content_css'] = $nf_stylesheet;
			$initArray['theme_advanced_fonts'] = 'Nobile=Nobile,sans-serif;Andale Mono=andale mono,times;Arial=arial,helvetica,sans-serif;Arial Black=arial black,avant garde;Book Antiqua=book antiqua,palatino;Comic Sans MS=comic sans ms,sans-serif;Courier New=courier new,courier;Georgia=georgia,palatino;Helvetica=helvetica;Impact=impact,chicago;Symbol=symbol;Tahoma=tahoma,arial,helvetica,sans-serif;Terminal=terminal,monaco;Times New Roman=times new roman,times;Trebuchet MS=trebuchet ms,geneva;Verdana=verdana,geneva;Webdings=webdings;Wingdings=wingdings,zapf dingbats';
		return $initArray;
		}
	}
	$tinymce_add_google_fonts = new tinymce_add_google_fonts();	
 }